=== debian/changelog ===
acl2 (6.4-4) unstable; urgency=low

  * parse and use parallel keyword in DEB_BUILD_OPTIONS

 -- Camm Maguire <camm@debian.org>  Thu, 15 May 2014 18:49:32 +0000

acl2 (6.4-3) unstable; urgency=low

  * set HOME in rule to build saved_acl2.c
  * Bug fix: "not buildable on buildds on some architectures", thanks to
    Ivo De Decker (Closes: #747286).

 -- Camm Maguire <camm@debian.org>  Fri, 09 May 2014 15:38:15 +0000

acl2 (6.4-2) unstable; urgency=low

  * certify-books run with -j 8 -l 2.95
  * Bug fix: "Process running beyond build (missing escape in
    debian/rules)", thanks to Michael Tautschnig (Closes: #746203).
  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 07 May 2014 18:31:48 +0000

acl2 (6.4-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 13 Jan 2014 16:14:44 +0000

acl2 (6.3-6) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 15 Nov 2013 16:11:57 +0000
