## acl2 6.5

=== coi/Makefile ===
DIRS =	symbol-fns \
	util \
	adviser \
	nary \
	lists \
	osets \
	syntax \
	bags \
	alists \
	records \
	records/fast \
	paths \
	maps \
	dtrees \
	defpun \
	defstructure \
	super-ihs \
	gacc \
	gensym \
        generalize \
	quantification \
	termination \
	defung

include ../Makefile-subdirs
