=== demos/Makefile ===
all: top

DIRS = modeling tutorial-problems

include ../Makefile-subdirs
include ../Makefile-generic
-include Makefile-deps
