=== rtl/Makefile ===
DIRS = rel1 rel4 rel5 rel9

# Note: Directories rel2 and rel3 still exist, but are no longer
# distributed.  Directory rel1 is needed not only for ACL2(r) but also
# for a few workshop books (e.g. 1999/embedded/Proof-Of-Contribution/
# and 2000/russinoff-kaufmann/supporting-materials/).  Hanbing Liu
# pointed out that rel7 is very similar to rel6, so we no longer
# distribute or even test with rel6.  Also rel8 seems somewhat similar
# to rel7, so we no longer certify books in rel7 by default, though we
# may still distribute it.  And finally, note that rel8/lib and
# rel9/support/lib3/ are essentially the same; so we now skip rel8.

# Note that file ../Makefile-psubdirs is engineered to skip gracefully
# over any missing subdirectories.

include ../Makefile-psubdirs
