=== coi/defung/Makefile ===
include ../../Makefile-generic
BOOKS = ack-variants map-ec-call phony-induction split defung defung-test monadic rev3
-include Makefile-deps
