=== demos/tutorial-problems/Makefile ===
new-top: top all
all: top

DIRS = equivalence-of-two-functions

include ../../Makefile-subdirs
include ../../Makefile-generic
-include Makefile-deps
