=== projects/symbolic/Makefile ===
DIRS = tiny-fib m5 generic tiny-triangle
include ../../Makefile-subdirs
