=== nonstd/workshops/2013/Makefile ===
# This is the workshops/2013/ Makefile under books/nonstd.

DIRS = helms-gamboa-quantum/support
include ../../Makefile-subdirs
