=== projects/symbolic/generic/Makefile ===
include ../../../Makefile-generic
-include Makefile-deps

# The generic theorems:

# partial-correctness
# total-correctness
# assertions.cert
# measures.cert
# defsimulate

# The demos:

# tiny-fib-correct
# factorial-jvm-correct
