=== debian/changelog ===
acl2 (6.5-2~bpo70+1) wheezy-backports; urgency=medium

  * Backport to wheezy

 -- Camm Maguire <camm@debian.org>  Tue, 13 Jan 2015 10:12:27 -0500

acl2 (6.5-2) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 20 Aug 2014 00:37:33 +0000

acl2 (6.5-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Tue, 05 Aug 2014 16:04:06 +0000

acl2 (6.4-5) unstable; urgency=low

  * rebuild against latest gcl
  * lintian cleanups

 -- Camm Maguire <camm@debian.org>  Fri, 25 Jul 2014 15:25:39 +0000
