=== debian/rules ===
--- 
+++ 
@@ -106,8 +106,7 @@
 		done)
 	mv saved_acl2.ori saved_acl2
 	[ -f $@ ] && ( ! fgrep '**' $@ || \
-	  gcl -batch -eval "(bye #+native-reloc 1)" || \
-	  [ $$(ulimit -d -H | sed 's,unlimited,1000000,g') -lt 1000000 ] )
+	  gcl -batch -eval "(bye #-native-reloc 0 #+native-reloc (let ((w (multiple-value-bind (a b c d) (si::heap-report) (/ (- d c) (/ a 8))))) (format t \"certification run with ~s heap words~%\" w) (if (< w 500000000) 0 1)))")
 
 books/interface/infix/Makefile: books/interface/infix/makefile
 	sed -e "s,^DIR = .*,DIR = $$(pwd)/books/interface/infix,1" \
@@ -198,7 +197,8 @@
 	rm -f books/coi/gensym/Makefile-deps books/coi/gensym/workxxx.gensym
 	rm -rf doc/HTML-old doc/EMACS-old doc/acl2-wc.txt
 	rm -f books/centaur/bitops/bitsets-opt-raw.o books/centaur/vl/util/gc-raw.o \
-		books/centaur/misc/tshell-raw.o books/centaur/vl/Makefile-tmp
+		books/centaur/misc/tshell-raw.o books/centaur/vl/Makefile-tmp \
+		books/build/Makefile-sources books/build/Makefile-certs 
 	dh_clean -XTAGS
 
 debian/acl2-infix.install:: 
@@ -218,7 +218,3 @@
 	echo saved_acl2 usr/lib/$(PD) >>$@
 
 debian/acl2-books.install:: 
-	find books -name "*.o" | grep -v interface/ | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
-
-debian/acl2-source.install:: 
-	find * -name "*.lisp" -maxdepth 0 | grep -v TMP1.lisp | awk '{printf("%s usr/share/$(PD)\n",$$1);}' >$@
